Subject: Re: git-log bug: --grep and -number args are at odds

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Tue, 13 Mar 2018 22:57:21 +0100

On Tue, Mar 13 2018, Alexander Mills jotted:

> $ git log -50   ###  I get 50 results
>
> $ git log -50 --grep="*"   ### I get a lot more than 50...
>
> shouldn't `-50` minimize the results length to 50 or fewer?

On what git version? On my 2.16.2.804.g6dcf76e118 on git.git this works
as expected:

    $ git -c grep.patternType=basic log --oneline -50 --grep="*" |wc -l
    50
    $ git -c grep.patternType=basic log --oneline -50 | wc -l
    50